<?php

namespace App\Providers;

use App\Services\MoorleService;
use App\Services\BulkClixService;
use Illuminate\Support\ServiceProvider;
use App\Http\Integrations\Imake\MoorlePay;
use App\Http\Integrations\Imake\BulkClixAPI;

class AppServiceProvider extends ServiceProvider
{
    /**
     * Register any application services.
     */
    public function register(): void
    {
        $this->app->bind(BulkClixService::class, function ($app) {
            return new BulkClixService(new BulkClixAPI());
        });

        $this->app->bind(MoorleService::class, function ($app) {
            return new MoorleService(new MoorlePay());
        });
    }

    /**
     * Bootstrap any application services.
     */
    public function boot(): void
    {
        //
    }
}
